Transfers between accounts: Bimp API methods
Bimp API methods for the “Transfers between accounts” resource (/org2/interaccountTransfer/…): 4 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
Inter-account transfer documents
| Method | What it does |
|---|---|
POST /org2/interaccountTransfer/api-read | A request to obtain detailed information for a particular inter-account transfer document |
POST /org2/interaccountTransfer/api-readList | A request to view a list of inter-account transfer documents |
POST /org2/interaccountTransfer/api-create | A request to create an inter-account transfer document |
POST /org2/interaccountTransfer/api-update | A request to update an inter-account transfer document |
api-read
POST /org2/interaccountTransfer/api-read
A request to obtain detailed information for a particular inter-account transfer document
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for an inter-account transfer document |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) | A unique uuid key for an inter-account transfer document |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
number | string | The document’s number. Use this field if you need to specify a custom number |
name | string | Document name |
comment | string | An optional text field for any additional notes or comments related to the document |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request |
status | string (uuid) | A unique uuid key for a document status |
paymentEntitySender | string (uuid) | Payment entity (bank account or cash) to transfer from |
paymentEntityRecipient | string (uuid) | Payment entity (bank account or cash) to transfer to |
currency | string (uuid) | A unique identifier for the Currency, obtainable from the /currency/api-readList request |
purchaseCurrency | string (uuid) | Currency of the recipient side |
rate | number | Currency exchange rate for the document |
sum | number | The sum of the document |
amountToCredit | number | Amount that will be credited to the recipient |
exchangeRateDifference | number | Exchange rate difference amount |
contract | string (uuid) | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
project | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request |
projectRecipient | string (uuid) | Project on the recipient side |
lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
lineOfBusinessRecipient | string (uuid) | Line of business on the recipient side |
article | string (uuid) | A unique uuid key for a cash-flow / article catalog item |
mutualSettlementTypeSender | string (uuid) | Mutual settlement type on the sender side |
mutualSettlementTypeRecipient | string (uuid) | Mutual settlement type on the recipient side |
chartOfAccount | string (uuid) | A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request |
cashPaymentType | number | Cash payment type code |
curl -X POST 'https://app.bimpsoft.com/org2/interaccountTransfer/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
api-readList
POST /org2/interaccountTransfer/api-readList
A request to view a list of inter-account transfer documents
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
pagination | object | yes | |
pagination.offset | number | yes | Begin from {offset} elements |
pagination.count | number | yes | Limit of paginated elemets |
filters | object | Filters for inter-account transfer list | |
filters.comment | string | An optional text field for any additional notes or comments related to the document | |
filters.organization | string (uuid)[] | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
filters.author | string (uuid)[] | A unique identifier for the Author, obtainable from the /user/api-readList request | |
filters.paymentEntity | string (uuid)[] | The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request | |
filters.period | object[] | Date period filter [from, to] |
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string (uuid) | |
[].name | string | Document name |
[].number | string | The document’s number. Use this field if you need to specify a custom number |
[].date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) |
[].comment | string | An optional text field for any additional notes or comments related to the document |
[].sum | number | The sum of the document |
[].author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request |
[].organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
[].currency | string (uuid) | A unique identifier for the Currency, obtainable from the /currency/api-readList request |
curl -X POST 'https://app.bimpsoft.com/org2/interaccountTransfer/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-create
POST /org2/interaccountTransfer/api-create
A request to create an inter-account transfer document
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
organization | string (uuid) | yes | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
paymentEntitySender | string (uuid) | yes | Payment entity (bank account or cash) to transfer from |
paymentEntityRecipient | string (uuid) | yes | Payment entity (bank account or cash) to transfer to |
sum | number | yes | The sum of the document |
project | string (uuid) | yes | A unique identifier for the Project, obtainable from the /project/api-readList request |
lineOfBusiness | string (uuid) | yes | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
chartOfAccount | string (uuid) | A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
number | string | The document’s number. Use this field if you need to specify a custom number | |
name | string | Document name | |
comment | string | An optional text field for any additional notes or comments related to the document | |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request | |
status | string (uuid) | A unique uuid key for a document status | |
currency | string (uuid) | A unique identifier for the Currency, obtainable from the /currency/api-readList request | |
purchaseCurrency | string (uuid) | Currency of the recipient side | |
rate | number | Currency exchange rate for the document | |
amountToCredit | number | Amount that will be credited to the recipient | |
exchangeRateDifference | number | Exchange rate difference amount | |
contract | string (uuid) | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request | |
projectRecipient | string (uuid) | Project on the recipient side | |
lineOfBusinessRecipient | string (uuid) | Line of business on the recipient side | |
article | string (uuid) | A unique uuid key for a cash-flow / article catalog item | |
mutualSettlementTypeSender | string (uuid) | Mutual settlement type on the sender side | |
mutualSettlementTypeRecipient | string (uuid) | Mutual settlement type on the recipient side | |
cashPaymentType | number | Cash payment type code |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/interaccountTransfer/api-create' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"organization":"00000000-0000-0000-0000-000000000000","paymentEntitySender":"00000000-0000-0000-0000-000000000000","paymentEntityRecipient":"00000000-0000-0000-0000-000000000000","sum":1,"project":"00000000-0000-0000-0000-000000000000","lineOfBusiness":"00000000-0000-0000-0000-000000000000"}'
api-update
POST /org2/interaccountTransfer/api-update
A request to update an inter-account transfer document
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for an inter-account transfer document |
organization | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request | |
paymentEntitySender | string (uuid) | Payment entity (bank account or cash) to transfer from | |
paymentEntityRecipient | string (uuid) | Payment entity (bank account or cash) to transfer to | |
sum | number | The sum of the document | |
project | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request | |
lineOfBusiness | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request | |
chartOfAccount | string (uuid) | A unique identifier for the Chart of account, obtainable from the /chartOfAccount/api-readList request | |
date | string | The document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’) | |
number | string | The document’s number. Use this field if you need to specify a custom number | |
name | string | Document name | |
comment | string | An optional text field for any additional notes or comments related to the document | |
author | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request | |
status | string (uuid) | A unique uuid key for a document status | |
currency | string (uuid) | A unique identifier for the Currency, obtainable from the /currency/api-readList request | |
purchaseCurrency | string (uuid) | Currency of the recipient side | |
rate | number | Currency exchange rate for the document | |
amountToCredit | number | Amount that will be credited to the recipient | |
exchangeRateDifference | number | Exchange rate difference amount | |
contract | string (uuid) | The unique identifier for the counterparty’s contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request | |
projectRecipient | string (uuid) | Project on the recipient side | |
lineOfBusinessRecipient | string (uuid) | Line of business on the recipient side | |
article | string (uuid) | A unique uuid key for a cash-flow / article catalog item | |
mutualSettlementTypeSender | string (uuid) | Mutual settlement type on the sender side | |
mutualSettlementTypeRecipient | string (uuid) | Mutual settlement type on the recipient side | |
cashPaymentType | number | Cash payment type code |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string (uuid) |
curl -X POST 'https://app.bimpsoft.com/org2/interaccountTransfer/api-update' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.